import { Modal, ModalService } from '@zeedhi/common';

export class AFGeneralModalController {
  private AFGeneralModal!: Modal;

  public async createAFGeneralModal() {
    this.AFGeneralModal = await ModalService.createFromJson('/modals/getAFGeneralTAGridModal', true);
  }

  public destroyAFGeneralModal() {
    this.AFGeneralModal?.destroy();
  }

  public openAFGeneralModal() {
    this.AFGeneralModal.show();
  }

  public closeAFGeneralModal() {
    this.AFGeneralModal.hide();
  }
}
